{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  musnix = {
    enable = true;
    kernel.realtime = true;
    soundcardPciId = "0d:00.4";
  };

  users.users."${psCfg.user.name}".extraGroups = ["realtime"];

  home-manager.users."${psCfg.user.name}" = {
    home.packages = with pkgs; [
      lmms
      audacity
    ];
  };

  environment.etc = {
    "pipewire/pipewire.conf.d/92-low-latency.conf".text = ''
      context.properties = {
        default.clock.rate = 48000
        default.clock.quantum = 32
        default.clock.min-quantum = 32
        default.clock.max-quantum = 32
      }
    '';
  };
}
