{
  flake,
  config,
  pkgs,
  lib,
  ...
}: {
  environment.systemPackages = [
    pkgs.jellyfin
    pkgs.jellyfin-web
    pkgs.jellyfin-ffmpeg
  ];

  services.jellyfin = {
    enable = true;
    openFirewall = false;
  };

  # from https://jellyfin.org/docs/general/networking/index.html
  networking.firewall.allowedUDPPorts = [ 1900 7359 ];

  security.acme.certs = {
    "media.b12f.io" = {};
  };

  services.nginx.virtualHosts = {
    "media.b12f.io" = {
      forceSSL = true;
      useACMEHost = "media.b12f.io";
      locations."/".proxyPass = "http://127.0.0.1:8096";
    };
  };

  hardware.opengl = {
    enable = true;
    driSupport = true;
    driSupport32Bit = true;

    extraPackages = with pkgs; [
      vaapiVdpau
      libvdpau-va-gl
    ];
  };
}
