{
  flake,
  config,
  pkgs,
  lib,
  ...
}: {
  networking.useDHCP = false;
  networking.hostId = "34234773";
  networking.hostName = "pie";
  networking.defaultGateway = {
    address = "192.168.178.1";
    interface = "enabcm6e4ei0";
  };

  networking.interfaces.enabcm6e4ei0 = {
    ipv4.addresses = [
      { address = "192.168.178.2"; prefixLength = 32; }
    ];
    ipv6.addresses = [
      { address = "2a02:908:5b1:e3c0:2::"; prefixLength = 128; }
      { address = "fe80:b12f:acab:1312:acab:2::"; prefixLength = 128; }
    ];
  };

  networking.hosts = {
    "192.168.178.3" = [ "droppie-initrd.b12f.io" ];
  };

  services.openssh.allowSFTP = true;

  age.secrets.wg-private-key.file = "${flake.self}/secrets/wg-private-pie.age";

  pub-solar.wireguard.private = {
    useDNS = false;
    ownIPs = [
      "10.13.12.2/32"
      "fd00:b12f:acab:1312:acab:2::/96"
    ];
    privateKeyFile = config.age.secrets.wg-private-key.path;
  };
}
