{
  flake,
  config,
  pkgs,
  lib,
  ...
}: {
  networking.hostName = "stroopwafel";
  networking.networkmanager.wifi.backend = "wpa_supplicant";

  age.secrets.wg-private-key.file = "${flake.self}/secrets/wg-private-stroopwafel.age";

  pub-solar.wireguard.private = {
    ownIPs = [
      "10.13.12.8/32"
      "fd00:b12f:acab:1312:acab:8::/96"
    ];
    privateKeyFile = config.age.secrets.wg-private-key.path;
  };

  age.secrets.wg-tunnel-key.file = "${flake.self}/secrets/wg-tunnel-stroopwafel.age";

  pub-solar.wireguard.tunnel = {
    ownIPs = [
      "10.65.141.174/32"
      "fc00:bbbb:bbbb:bb01::2:8dad/128"
    ];
    privateKeyFile = config.age.secrets.wg-tunnel-key.path;
    peer = {
      publicKey = "5FZW+fNA2iVBSY99HFl+KjGc9AFVNE+UFAedLNhu8lc=";
      endpoint = "146.70.134.2:3565";
    };
  };

  age.secrets.wg-pub-solar-key.file = "${flake.self}/secrets/wg-pub-solar-stroopwafel.age";

  pub-solar.wireguard.pub-solar = {
    ownIPs = [
      "10.7.6.200/32"
      "fd00:fae:fae:fae:fae:200::/96"
    ];
    privateKeyFile = config.age.secrets.wg-pub-solar-key.path;
  };
}
