{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
in {
  # Needed for the udev rules for solaar
  hardware.logitech.wireless.enable = true;

  users.users."${psCfg.user.name}".packages = with pkgs; [
    wine
    ungoogled-chromium

    gimp
    present-md
    inkscape
    gpxsee
    nix-output-monitor
    tigervnc
    nodejs
    solaar
    insomnia

    signal-desktop
    tdesktop
    element-desktop
    element-b12f
    element-mezza

    # Nix specific utilities
    alejandra
    manix
    nix-index
    nix-tree
    nvd
  ];

  fonts = {
    packages = with pkgs; [
      dejavu_fonts
      fira-code
      fira-code-symbols
      google-fonts
      lato
      montserrat
      nerdfonts
      noto-fonts
      noto-fonts-cjk
      open-sans
      powerline-fonts
      source-sans-pro
    ];
  };
}
