{
  config,
  pkgs,
  lib,
  flake,
  ...
}: let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  imports = [
    ./home.nix
    ./session-variables.nix
    ./u2f.nix
    ./ssh.nix
    ./concepts-and-training.nix
    ./ehex.nix
    ./email.nix
  ];

  config = {
    age.secrets.b12f-env-secrets = {
      file = "${flake.self}/secrets/b12f-env-secrets.age";
      mode = "400";
      owner = psCfg.user.name;
    };

    # Set your time zone.
    time.timeZone = "Europe/Berlin";

    pub-solar = {
      user = {
        name = "b12f";
        description = "b12f";
        password = "$y$j9T$GR.fND1YY6/2deXcEMHx1.$QBuvjIxPkDtFXrkes0T582L6jF7gfHhseFts64qC8xB";
        fullName = "Benjamin Yule Bädorf";
        email = "git@benjaminbaedorf.eu";
        gpgKeyId = "FC623BBCBD2604D5CC9D90BAE77B0AAAF0D9B76B";
      };
    };
  };
}
